#include "../ui.h"

void ui_EngineerSettingScreen_screen_init(void)
{
    ui_EngineerSettingScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_EngineerSettingScreen, LV_OBJ_FLAG_SCROLLABLE);      /// Flags

    ui_EngineerSettingPanel = lv_obj_create(ui_EngineerSettingScreen);
    lv_obj_set_width(ui_EngineerSettingPanel, 480);
    lv_obj_set_height(ui_EngineerSettingPanel, 480);
    lv_obj_set_align(ui_EngineerSettingPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_set_style_bg_color(ui_EngineerSettingPanel, lv_color_hex(0xFFFFFF), LV_PART_SCROLLBAR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanel, 0, LV_PART_SCROLLBAR | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanel, lv_color_hex(0x000000), LV_PART_SCROLLBAR | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanel, 0, LV_PART_SCROLLBAR | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelReturnPanel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelReturnPanel, 72);
    lv_obj_set_height(ui_EngineerSettingPanelReturnPanel, 72);
    lv_obj_set_x(ui_EngineerSettingPanelReturnPanel, -18);
    lv_obj_set_y(ui_EngineerSettingPanelReturnPanel, -18);
    lv_obj_clear_flag(ui_EngineerSettingPanelReturnPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelReturnPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelReturnPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelReturnPanel, &ui_img_20_return_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelReturnPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelLabel = lv_label_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelLabel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelLabel, -203);
    lv_obj_set_align(ui_EngineerSettingPanelLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelLabel, "Engineer Setting");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelLabel, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelLabel, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg1Panel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1Panel, 480);
    lv_obj_set_height(ui_EngineerSettingPanelSeg1Panel, 60);
    lv_obj_set_x(ui_EngineerSettingPanelSeg1Panel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1Panel, -146);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1Panel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg1Panel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg1Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg1Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg1Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg1Panel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg1Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_EngineerSettingPanelSeg1Panel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_EngineerSettingPanelSeg1Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg1PanelChildPanel = lv_obj_create(ui_EngineerSettingPanelSeg1Panel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanel, 424);
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanel, 60);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg1PanelChildPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg1PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg1PanelChildPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg1PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg1PanelChildPanel, lv_color_hex(0x3C3E40),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg1PanelChildPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg1PanelChildPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelSeg1PanelChildPanel, LV_BORDER_SIDE_BOTTOM,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg1PanelChildPanelLable = lv_label_create(ui_EngineerSettingPanelSeg1PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg1PanelChildPanelLable, 2);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1PanelChildPanelLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanelLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_EngineerSettingPanelSeg1PanelChildPanelLable, "Screen Timeoutaaa");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg1PanelChildPanelLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg1PanelChildPanelLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg1PanelChildPanelLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel = lv_obj_create(ui_EngineerSettingPanelSeg1PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 65);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, &ui_img_717101031,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, &ui_img_1574375350,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg1PanelChildPanelValueLable = lv_label_create(ui_EngineerSettingPanelSeg1PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, 125);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, "C/H");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg1PanelChildPanelValueLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel = lv_obj_create(ui_EngineerSettingPanelSeg1PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 183);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, &ui_img_344582561,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel, &ui_img_1562660272,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg1PanelChildPanelSwitch = lv_switch_create(ui_EngineerSettingPanelSeg1PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, 83);
    lv_obj_set_height(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, 39);
    lv_obj_set_x(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, 3);
    lv_obj_set_y(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_flag(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags

    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, lv_color_hex(0x29BE88),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    ui_EngineerSettingPanelSeg2Panel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2Panel, 480);
    lv_obj_set_height(ui_EngineerSettingPanelSeg2Panel, 60);
    lv_obj_set_x(ui_EngineerSettingPanelSeg2Panel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2Panel, -86);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2Panel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg2Panel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg2Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg2Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg2Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg2Panel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg2Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_EngineerSettingPanelSeg2Panel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_EngineerSettingPanelSeg2Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg2PanelChildPanel = lv_obj_create(ui_EngineerSettingPanelSeg2Panel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanel, 424);
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanel, 60);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg2PanelChildPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg2PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg2PanelChildPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg2PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg2PanelChildPanel, lv_color_hex(0x3C3E40),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg2PanelChildPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg2PanelChildPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelSeg2PanelChildPanel, LV_BORDER_SIDE_BOTTOM,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg2PanelChildPanelLable = lv_label_create(ui_EngineerSettingPanelSeg2PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg2PanelChildPanelLable, 2);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2PanelChildPanelLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanelLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_EngineerSettingPanelSeg2PanelChildPanelLable, "Screen Timeoutaaa");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg2PanelChildPanelLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg2PanelChildPanelLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg2PanelChildPanelLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel = lv_obj_create(ui_EngineerSettingPanelSeg2PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 65);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, &ui_img_717101031,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, &ui_img_1574375350,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg2PanelChildPanelValueLable = lv_label_create(ui_EngineerSettingPanelSeg2PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, 125);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, "C/H");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg2PanelChildPanelValueLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel = lv_obj_create(ui_EngineerSettingPanelSeg2PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 183);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, &ui_img_344582561,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel, &ui_img_1562660272,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg2PanelChildPanelSwitch = lv_switch_create(ui_EngineerSettingPanelSeg2PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, 83);
    lv_obj_set_height(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, 39);
    lv_obj_set_x(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, 3);
    lv_obj_set_y(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_flag(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags

    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, lv_color_hex(0x29BE88),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    ui_EngineerSettingPanelSeg3Panel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3Panel, 480);
    lv_obj_set_height(ui_EngineerSettingPanelSeg3Panel, 60);
    lv_obj_set_x(ui_EngineerSettingPanelSeg3Panel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3Panel, -26);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3Panel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg3Panel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg3Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg3Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg3Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg3Panel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg3Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_EngineerSettingPanelSeg3Panel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_EngineerSettingPanelSeg3Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg3PanelChildPanel = lv_obj_create(ui_EngineerSettingPanelSeg3Panel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanel, 424);
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanel, 60);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg3PanelChildPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg3PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg3PanelChildPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg3PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg3PanelChildPanel, lv_color_hex(0x3C3E40),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg3PanelChildPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg3PanelChildPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelSeg3PanelChildPanel, LV_BORDER_SIDE_BOTTOM,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg3PanelChildPanelLable = lv_label_create(ui_EngineerSettingPanelSeg3PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg3PanelChildPanelLable, 2);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3PanelChildPanelLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanelLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_EngineerSettingPanelSeg3PanelChildPanelLable, "Screen Timeoutaaa");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg3PanelChildPanelLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg3PanelChildPanelLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg3PanelChildPanelLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel = lv_obj_create(ui_EngineerSettingPanelSeg3PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 65);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, &ui_img_717101031,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, &ui_img_1574375350,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg3PanelChildPanelValueLable = lv_label_create(ui_EngineerSettingPanelSeg3PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, 125);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, "C/H");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg3PanelChildPanelValueLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel = lv_obj_create(ui_EngineerSettingPanelSeg3PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 183);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, &ui_img_344582561,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel, &ui_img_1562660272,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg3PanelChildPanelSwitch = lv_switch_create(ui_EngineerSettingPanelSeg3PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, 83);
    lv_obj_set_height(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, 39);
    lv_obj_set_x(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, 3);
    lv_obj_set_y(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_flag(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags

    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, lv_color_hex(0x29BE88),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    ui_EngineerSettingPanelSeg4Panel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4Panel, 480);
    lv_obj_set_height(ui_EngineerSettingPanelSeg4Panel, 60);
    lv_obj_set_x(ui_EngineerSettingPanelSeg4Panel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4Panel, 34);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4Panel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg4Panel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg4Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg4Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg4Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg4Panel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg4Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_EngineerSettingPanelSeg4Panel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_EngineerSettingPanelSeg4Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg4PanelChildPanel = lv_obj_create(ui_EngineerSettingPanelSeg4Panel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanel, 424);
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanel, 60);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg4PanelChildPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg4PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg4PanelChildPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg4PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg4PanelChildPanel, lv_color_hex(0x3C3E40),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg4PanelChildPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg4PanelChildPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelSeg4PanelChildPanel, LV_BORDER_SIDE_BOTTOM,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg4PanelChildPanelLable = lv_label_create(ui_EngineerSettingPanelSeg4PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg4PanelChildPanelLable, 2);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4PanelChildPanelLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanelLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_EngineerSettingPanelSeg4PanelChildPanelLable, "Screen Timeoutaaa");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg4PanelChildPanelLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg4PanelChildPanelLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg4PanelChildPanelLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel = lv_obj_create(ui_EngineerSettingPanelSeg4PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 65);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, &ui_img_717101031,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, &ui_img_1574375350,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg4PanelChildPanelValueLable = lv_label_create(ui_EngineerSettingPanelSeg4PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, 125);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, "C/H");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg4PanelChildPanelValueLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel = lv_obj_create(ui_EngineerSettingPanelSeg4PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 183);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, &ui_img_344582561,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel, &ui_img_1562660272,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg4PanelChildPanelSwitch = lv_switch_create(ui_EngineerSettingPanelSeg4PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, 83);
    lv_obj_set_height(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, 39);
    lv_obj_set_x(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, 3);
    lv_obj_set_y(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_flag(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags

    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, lv_color_hex(0x29BE88),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    ui_EngineerSettingPanelSeg5Panel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5Panel, 480);
    lv_obj_set_height(ui_EngineerSettingPanelSeg5Panel, 60);
    lv_obj_set_x(ui_EngineerSettingPanelSeg5Panel, 0);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5Panel, 94);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5Panel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg5Panel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg5Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg5Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg5Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg5Panel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg5Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_EngineerSettingPanelSeg5Panel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_EngineerSettingPanelSeg5Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg5PanelChildPanel = lv_obj_create(ui_EngineerSettingPanelSeg5Panel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanel, 424);
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanel, 60);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg5PanelChildPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_EngineerSettingPanelSeg5PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg5PanelChildPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg5PanelChildPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelSeg5PanelChildPanel, lv_color_hex(0x3C3E40),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelSeg5PanelChildPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg5PanelChildPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_EngineerSettingPanelSeg5PanelChildPanel, LV_BORDER_SIDE_NONE,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg5PanelChildPanelLable = lv_label_create(ui_EngineerSettingPanelSeg5PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg5PanelChildPanelLable, 2);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5PanelChildPanelLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanelLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_EngineerSettingPanelSeg5PanelChildPanelLable, "Screen Timeoutaaa");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg5PanelChildPanelLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg5PanelChildPanelLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg5PanelChildPanelLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel = lv_obj_create(ui_EngineerSettingPanelSeg5PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 65);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, &ui_img_717101031,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, &ui_img_1574375350,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg5PanelChildPanelValueLable = lv_label_create(ui_EngineerSettingPanelSeg5PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, 125);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, "C/H");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelSeg5PanelChildPanelValueLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel = lv_obj_create(ui_EngineerSettingPanelSeg5PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 50);
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 50);
    lv_obj_set_x(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 183);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, &ui_img_344582561,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel, &ui_img_1562660272,
                                LV_PART_MAIN | LV_STATE_PRESSED);

    ui_EngineerSettingPanelSeg5PanelChildPanelSwitch = lv_switch_create(ui_EngineerSettingPanelSeg5PanelChildPanel);
    lv_obj_set_width(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, 83);
    lv_obj_set_height(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, 39);
    lv_obj_set_x(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, 3);
    lv_obj_set_y(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, 0);
    lv_obj_set_align(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_flag(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags

    lv_obj_set_style_bg_color(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, lv_color_hex(0x29BE88),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    ui_EngineerSettingPanelPrePanel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelPrePanel, 200);
    lv_obj_set_height(ui_EngineerSettingPanelPrePanel, 100);
    lv_obj_set_x(ui_EngineerSettingPanelPrePanel, -132);
    lv_obj_set_y(ui_EngineerSettingPanelPrePanel, 180);
    lv_obj_set_align(ui_EngineerSettingPanelPrePanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelPrePanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelPrePanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelPrePanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelPrePanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelPrePanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_Image1 = lv_img_create(ui_EngineerSettingPanelPrePanel);
    lv_img_set_src(ui_Image1, &ui_img_20_return_icon_png);
    lv_obj_set_width(ui_Image1, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_Image1, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_Image1, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_Image1, LV_OBJ_FLAG_ADV_HITTEST);     /// Flags
    lv_obj_clear_flag(ui_Image1, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_img_set_angle(ui_Image1, 900);

    ui_EngineerSettingPanelNextPanel = lv_obj_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelNextPanel, 200);
    lv_obj_set_height(ui_EngineerSettingPanelNextPanel, 100);
    lv_obj_set_x(ui_EngineerSettingPanelNextPanel, 132);
    lv_obj_set_y(ui_EngineerSettingPanelNextPanel, 180);
    lv_obj_set_align(ui_EngineerSettingPanelNextPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_EngineerSettingPanelNextPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_EngineerSettingPanelNextPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_EngineerSettingPanelNextPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_EngineerSettingPanelNextPanel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_EngineerSettingPanelNextPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_Image2 = lv_img_create(ui_EngineerSettingPanelNextPanel);
    lv_img_set_src(ui_Image2, &ui_img_20_return_icon_png);
    lv_obj_set_width(ui_Image2, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_Image2, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_Image2, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_Image2, LV_OBJ_FLAG_ADV_HITTEST);     /// Flags
    lv_obj_clear_flag(ui_Image2, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_img_set_angle(ui_Image2, -900);

    ui_EngineerSettingPanelPageNumbLable = lv_label_create(ui_EngineerSettingPanel);
    lv_obj_set_width(ui_EngineerSettingPanelPageNumbLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_EngineerSettingPanelPageNumbLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_EngineerSettingPanelPageNumbLable, 0);
    lv_obj_set_y(ui_EngineerSettingPanelPageNumbLable, 180);
    lv_obj_set_align(ui_EngineerSettingPanelPageNumbLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_EngineerSettingPanelPageNumbLable, "1/5");
    lv_obj_set_style_text_color(ui_EngineerSettingPanelPageNumbLable, lv_color_hex(0xE0E0E0),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_EngineerSettingPanelPageNumbLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_EngineerSettingPanelPageNumbLable, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_EngineerSettingPanelReturnPanel, ui_event_EngineerSettingPanelReturnPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg1PanelChildPanelMinusPanel,
                        ui_event_EngineerSettingPanelSeg1PanelChildPanelMinusPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg1PanelChildPanelAddPanel,
                        ui_event_EngineerSettingPanelSeg1PanelChildPanelAddPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg1PanelChildPanelSwitch,
                        ui_event_EngineerSettingPanelSeg1PanelChildPanelSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg2PanelChildPanelMinusPanel,
                        ui_event_EngineerSettingPanelSeg2PanelChildPanelMinusPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg2PanelChildPanelAddPanel,
                        ui_event_EngineerSettingPanelSeg2PanelChildPanelAddPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg2PanelChildPanelSwitch,
                        ui_event_EngineerSettingPanelSeg2PanelChildPanelSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg3PanelChildPanelMinusPanel,
                        ui_event_EngineerSettingPanelSeg3PanelChildPanelMinusPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg3PanelChildPanelAddPanel,
                        ui_event_EngineerSettingPanelSeg3PanelChildPanelAddPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg3PanelChildPanelSwitch,
                        ui_event_EngineerSettingPanelSeg3PanelChildPanelSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg4PanelChildPanelMinusPanel,
                        ui_event_EngineerSettingPanelSeg4PanelChildPanelMinusPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg4PanelChildPanelAddPanel,
                        ui_event_EngineerSettingPanelSeg4PanelChildPanelAddPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg4PanelChildPanelSwitch,
                        ui_event_EngineerSettingPanelSeg4PanelChildPanelSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg5PanelChildPanelMinusPanel,
                        ui_event_EngineerSettingPanelSeg5PanelChildPanelMinusPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg5PanelChildPanelAddPanel,
                        ui_event_EngineerSettingPanelSeg5PanelChildPanelAddPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelSeg5PanelChildPanelSwitch,
                        ui_event_EngineerSettingPanelSeg5PanelChildPanelSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelPrePanel, ui_event_EngineerSettingPanelPrePanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingPanelNextPanel, ui_event_EngineerSettingPanelNextPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_EngineerSettingScreen, ui_event_EngineerSettingScreen, LV_EVENT_ALL, NULL);

}
